﻿namespace Mx
{
    public sealed class Beam
    {
        static private MxTSurrogate560Lib.MxBeam560 m_Beam = null;

        public static bool Create()
        {
            if (null == m_Beam)
                m_Beam = new MxTSurrogate560Lib.MxBeam560();

            return 0 != m_Beam.Create();
        }

        public static bool Destroy()
        {
            return 0 != m_Beam.Destroy();
        }

        public static bool LoadProject(string path)
        {
            return 0 != m_Beam.LoadProject(path);
        }

        public static bool RunLoadsGenerator()
        {
            return 0 != m_Beam.RunLoadsGenerator();
        }

        public static bool ResultsCalculate()
        {
            return 0 != m_Beam.ResultsCalculate();
        }

        public static string MakeReport(string items = "*")
        {
            return m_Beam.MakeReport(items);
        }

        public static string ExportData(bool bToFile = true)
        {
            return m_Beam.ExportData(bToFile ? 1 : 0);
        }

        public static string ExportLog(string id, bool bToFile = true)
        {
            return m_Beam.ExportLog(id, bToFile ? 1 : 0);
        }

        public static bool DongleIsModule(short nModule)
        {
            return 0 != m_Beam.DongleIsModule(nModule);
        }
    };
}