﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MxToolsAPITest
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            //Build a list
            var dataSource = new List<Language>();
            dataSource.Add(new Language() { Name = "Cross calculation", Value = 2000 });
            
            //Setup data binding
            this.cbDocID.DataSource = dataSource;
            this.cbDocID.DisplayMember = "Name";
            this.cbDocID.ValueMember = "Value";
            this.cbDocID.SelectedItem = 2000;

            if (!Mx.Tools.Create())
            {
                MessageBox.Show("Failed to create toolbox");
                this.Close();
            }
        }

        private void butClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void butCallDoc_Click(object sender, EventArgs e)
        {
            //MessageBox.Show(this.cbDocID.SelectedValue.ToString());
            //MessageBox.Show(this.tbData.Text);
            MessageBox.Show(Mx.Tools.CallDocument((int)this.cbDocID.SelectedValue, this.tbData.Text));
        }
    }
}
